Ruby: pm_arguments_t Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
pm_arguments_t Struct Reference

This is a special out parameter to the parse_arguments_list function that includes opening and closing parentheses in addition to the arguments since it's so common. More...

## Data Fields
pm_location_t | opening_loc
| The optional location of the opening parenthesis or bracket.
pm_arguments_node_t * | arguments
| The lazily-allocated optional arguments node.
pm_location_t | closing_loc
| The optional location of the closing parenthesis or bracket.
pm_node_t * | block
| The optional block attached to the call.
bool | has_forwarding
| The flag indicating whether this arguments list has forwarding argument.

## Detailed Description

This is a special out parameter to the parse_arguments_list function that includes opening and closing parentheses in addition to the arguments since it's so common.

It is handy to use when passing argument information to one of the call node creation functions.

Definition at line 1586 of file prism.c.

## Field Documentation

## ◆ arguments

pm_arguments_node_t* pm_arguments_t::arguments

The lazily-allocated optional arguments node.

Definition at line 1591 of file prism.c.

## ◆ block

pm_node_t* pm_arguments_t::block

The optional block attached to the call.

Definition at line 1597 of file prism.c.

## ◆ closing_loc

pm_location_t pm_arguments_t::closing_loc

The optional location of the closing parenthesis or bracket.

Definition at line 1594 of file prism.c.

## ◆ has_forwarding

bool pm_arguments_t::has_forwarding

The flag indicating whether this arguments list has forwarding argument.

Definition at line 1600 of file prism.c.

## ◆ opening_loc

pm_location_t pm_arguments_t::opening_loc

The optional location of the opening parenthesis or bracket.

Definition at line 1588 of file prism.c.

The documentation for this struct was generated from the following file:

- prism/prism.c